classification
Title: Add docstrings for webbrowser open functions
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: bsolomon1124, docs@python, georg.brandl, miss-islington, terry.reedy
Priority: normal Keywords: patch

Created on 2020-05-08 12:34 by bsolomon1124, last changed 2020-06-15 22:39 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 19999 merged bsolomon1124, 2020-05-08 12:35
PR 20036 merged miss-islington, 2020-05-11 18:50
PR 20037 merged miss-islington, 2020-05-11 18:50
Messages (10)
msg368435 - (view) Author: Brad Solomon (bsolomon1124) * Date: 2020-05-08 12:34
Currently 'pydoc webbrowser.open' simply displays the function signature without a useful explanation of what 'new' does (and the parameter name/value set is not intuitive by name alone).
msg368482 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-05-08 23:02
Missing docstrings are almost a bug, but I am not sure if we backport additions.

This needs the attention of a coredev to review, approve, and merge, but there is no particular 'webbrowser' maintainer.  If no one shows up, you might use git to find those who have most recently committed to the module and request reviews on the PR.
msg368531 - (view) Author: Brad Solomon (bsolomon1124) * Date: 2020-05-09 17:20
The module source notes "Maintained by Georg Brandl."
msg368533 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-05-09 18:58
Except is isn't, as he has been inactive for years.  Git log may or may not show more recent commits.  My dev machine is being repaired but should be back soon.
msg368552 - (view) Author: Brad Solomon (bsolomon1124) * Date: 2020-05-09 22:42
To no surprise, not a lot of activity with the module over the last few years as it is fairly cut-and-dry.

$ git shortlog -sn --since '5 years ago' Lib/webbrowser.py
     3  Serhiy Storchaka
     1  David Steele
     1  Guido van Rossum
     1  Michael Haas
     1  Nick Coghlan
     1  Steve Dower
     1  Bumsik Kim
     1  Zhiming Wang
msg368555 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-05-10 00:46
I just got my development machine back, so I will handle this.  I first determined that code and doc are same in all 3 versions (except for audit event bit, which I am willing to leave out).
msg368557 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-05-10 01:16
Current open doc:
https://docs.python.org/3.9/library/webbrowser.html#webbrowser.open
msg368639 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-05-11 18:50
New changeset ef7973a981ff8f4687ef3fdb85a69fa15aa11fe5 by Brad Solomon in branch 'master':
bpo-40561: Add docstrings for webbrowser open functions (GH-19999)
https://github.com/python/cpython/commit/ef7973a981ff8f4687ef3fdb85a69fa15aa11fe5
msg368642 - (view) Author: miss-islington (miss-islington) Date: 2020-05-11 19:06
New changeset 61b49a00e755136586e991c971c47f38bb5e4d23 by Miss Islington (bot) in branch '3.7':
bpo-40561: Add docstrings for webbrowser open functions (GH-19999)
https://github.com/python/cpython/commit/61b49a00e755136586e991c971c47f38bb5e4d23
msg368643 - (view) Author: miss-islington (miss-islington) Date: 2020-05-11 19:09
New changeset a63c61168588937c482435d0432c753de4844c46 by Miss Islington (bot) in branch '3.8':
bpo-40561: Add docstrings for webbrowser open functions (GH-19999)
https://github.com/python/cpython/commit/a63c61168588937c482435d0432c753de4844c46
History
Date User Action Args
2020-06-15 22:39:52terry.reedysetversions: - Python 3.7
2020-05-11 19:14:13terry.reedysetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-05-11 19:09:14miss-islingtonsetmessages: + msg368643
2020-05-11 19:06:39miss-islingtonsetmessages: + msg368642
2020-05-11 18:50:41miss-islingtonsetpull_requests: + pull_request19347
2020-05-11 18:50:33miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request19346
2020-05-11 18:50:21terry.reedysetmessages: + msg368639
2020-05-10 19:55:28terry.reedysettitle: Provide docstrings for public-facing webbrowser functions -> Add docstrings for webbrowser open functions
2020-05-10 01:16:26terry.reedysetmessages: + msg368557
2020-05-10 00:46:04terry.reedysetmessages: + msg368555
versions: + Python 3.7
2020-05-09 22:42:14bsolomon1124setmessages: + msg368552
2020-05-09 18:58:32terry.reedysetmessages: + msg368533
2020-05-09 17:20:28bsolomon1124setmessages: + msg368531
2020-05-09 17:19:53bsolomon1124setnosy: + georg.brandl
2020-05-08 23:02:59terry.reedysetnosy: + terry.reedy

messages: + msg368482
versions: + Python 3.9
2020-05-08 12:35:33bsolomon1124setkeywords: + patch
stage: patch review
pull_requests: + pull_request19312
2020-05-08 12:34:40bsolomon1124create